Bug 1414364 - gnome-shell (wayland) crashes on Intel 945GM when opening display settings while multiple monitors are connected
Summary: gnome-shell (wayland) crashes on Intel 945GM when opening display settings wh...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 25
Hardware: i686
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-18 10:45 UTC by unrud
Modified: 2017-12-12 10:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:52:22 UTC
Type: Bug


Attachments (Terms of Use)
Backtrace (2.22 KB, text/plain)
2017-01-18 10:45 UTC, unrud
no flags Details

Description unrud 2017-01-18 10:45:21 UTC
Created attachment 1242111 [details]
Backtrace

Description of problem:
gnome-shell (wayland) crashes on Intel 945GM when opening display settings while multiple monitors are connected.

Version-Release number of selected component (if applicable):
gnome-shell-3.22.2-2.fc25.i686

How reproducible:
I can reliable reproduce this on two laptops with Intel 945GM graphics cards.
The problem only occurs with wayland and only when at least two monitors are connected.
I can't reproduce the problem on newer hardware with Intel Haswell or Skylake.

Steps to Reproduce:
1. Connect a second monitor. (The monitor gets detected correctly and can be used as a secondary display.)
2. Open display settings.
3. Select one of the displays in the settings dialog.

Actual results:
gnome-shell crashes.

Expected results:
The settings dialog should show details about the selected display.

Additional info:
A backtrace is attached.

Comment 1 Fedora End Of Life 2017-11-16 18:57:45 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:52:22 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.